summaryrefslogtreecommitdiff
path: root/localbackupiceweaselprofile
diff options
context:
space:
mode:
Diffstat (limited to 'localbackupiceweaselprofile')
-rwxr-xr-xlocalbackupiceweaselprofile20
1 files changed, 9 insertions, 11 deletions
diff --git a/localbackupiceweaselprofile b/localbackupiceweaselprofile
index 2fc2c54..6e1d4c9 100755
--- a/localbackupiceweaselprofile
+++ b/localbackupiceweaselprofile
@@ -1,4 +1,6 @@
-#!/bin/bash
+#!/bin/sh
+
+set -e
# Based on script by Micah Anderson <micah@riseup.net>
@@ -7,17 +9,13 @@ PROFILE="8xrm3et5.default"
cd "${HOME}/.mozilla/firefox"
-if test -z "$(mount | grep -F "${HOME}/.mozilla/firefox/${PROFILE}" )"
-then
- mount "${HOME}/.mozilla/firefox/${PROFILE}"
+if test -z "$(mount | grep -F "${HOME}/.mozilla/firefox/${PROFILE}" )"; then
+ mount "${HOME}/.mozilla/firefox/${PROFILE}"
fi
-if test -f "${PROFILE}/.unpacked"
-then
- rsync -av --delete --exclude .unpacked ./"$PROFILE"/ ./profile/
+if test -f "${PROFILE}/.unpacked"; then
+ rsync -av --delete --exclude .unpacked ./"$PROFILE"/ ./profile/
else
- rsync -av ./profile/ ./"$PROFILE"/
- touch "${PROFILE}/.unpacked"
+ rsync -av ./profile/ ./"$PROFILE"/
+ touch "${PROFILE}/.unpacked"
fi
-
-exit